
<div class="row">
  <div class="col-md-12">
  <h5 class="title mb-0">Propietario de: 
    <i class="mdi mdi-account-tie mdi-18px mt-n1 float-right"></i>
  </h5>
  <div class="table-responsive scroll" style="max-height: 250px">
    <table class="table table-bordered mt-3">
      <thead>
        <tr>
          <th>Codigo</th>
          <th>Numero</th>
          <th>Tipo</th>
          <th>Piso</th>
          <th>Estado</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let r of service.model?.Residencias | slice:pagination.skip:pagination.take">
            <td>{{ r.UniqueIdentifier }}</td>
            <td>{{ r.Numero }}</td>
            <td>{{ r.TipoResidenciaDescripcion || '--' }}</td>
            <td>{{ r.Piso || '--' }}</td>
            <td>
              <span class="badge font-xs" [ngClass]="[r.Poblada ? 'badge-info' : 'badge-dark']">
                  {{ r.Poblada ? 'Poblada' : 'Sin Residentes' }}
              </span>
           </td>
        </tr>
      </tbody>
      <tfoot *ngIf="!service.model.Residencias || service.model.Residencias?.length === 0">
        <tr>
            <td colspan="99" class="text-center text-muted">
                Sin Asignar
            </td>
        </tr>
    </tfoot>
    </table>
  </div>
  <div class="row" *ngIf="service.model.Residencias?.length > 0">
    <div class="col-md-12 d-flex justify-content-center">
        <app-pagination [(page)]="pagination.Page" [limit]="pagination.Limit" 
            [total]="pagination.TotalCount">
        </app-pagination>
    </div>
  </div>
  </div>
</div>
